Bug 18812 - kab_DZ: new Kabyle Algeria locale
Summary: kab_DZ: new Kabyle Algeria locale
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.27
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-12 12:15 UTC by Claude Paroz
Modified: 2017-11-02 06:19 UTC (History)
6 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
Kabyle locale file (1.40 KB, text/plain)
2015-08-12 12:15 UTC, Claude Paroz
Details
Revised Kabyle locale file (1.43 KB, text/plain)
2016-07-06 19:05 UTC, Claude Paroz
Details
CLDR Kabyle - Beta release (32) (39.15 KB, text/xml)
2017-10-20 09:16 UTC, Belkacem Mohammed
Details
kab_DZ (1.25 KB, text/plain)
2017-10-20 11:32 UTC, Mike FABIAN
Details
attachment-57087-0.html (572 bytes, text/html)
2017-11-02 03:05 UTC, Chris Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claude Paroz 2015-08-12 12:15:36 UTC
Created attachment 8507 [details]
Kabyle locale file

Here is a new locale for the Kabyle language in Algeria.
Comment 1 Mike Frysinger 2016-06-10 17:56:47 UTC
Comment on attachment 8507 [details]
Kabyle locale file

>comment_char %
>escape_char /

please use the same header as other current locales:
https://sourceware.org/git/?p=glibc.git;a=blob;f=localedata/locales/en_US

copy the first ~10 lines over

>LC_IDENTIFICATION
>title      "Kabyle locale for Algeria"

should be:
Kabyle language locale for Algeria

>category  "kab_DZ:2000";LC_IDENTIFICATION
>category  "kab_DZ:2000";LC_CTYPE
>category  "kab_DZ:2000";LC_COLLATE
>category  "kab_DZ:2000";LC_TIME
>category  "kab_DZ:2000";LC_NUMERIC
>category  "kab_DZ:2000";LC_MONETARY
>category  "kab_DZ:2000";LC_PAPER
>category  "kab_DZ:2000";LC_MEASUREMENT
>category  "kab_DZ:2000";LC_MESSAGES
>category  "kab_DZ:2000";LC_NAME
>category  "kab_DZ:2000";LC_ADDRESS
>category  "kab_DZ:2000";LC_TELEPHONE

these are all incorrect -- just copy them from en_US (see the link above)

>LC_TIME
>% yennayer, Furar, Meɣres, Ibrir, Maggu, Yunyu, Yulyu, Ɣuct, Cutembir, Tuber, Unbir, Dujenbir

delete all these comments that just translate the <Uxxx> values.  we've been dropping them from locales.

>% Accer, Arim, Aram, Ahad, Amhad, Ssem, Ssed
>day  "<U0041><U0063><U0063><U0065><U0072>";/

just to be sure -- the first day here is Sunday right ?

you should also define week in LC_TIME:
  week 7;19971130;1

>LC_MONETARY

please define currency_symbol too

>LC_PAPER
>height 297
>width  210
>END LC_PAPER
>
>LC_MEASUREMENT
>% metric
>measurement 1
>END LC_MEASUREMENT

copy ber_DZ for both of these

>LC_MESSAGES
>% ^[iIyY].*
>yesexpr "<U005E><U005B><U0069><U0049><U0079><U0059><U005D><U002E><U002A>"
>% ^[aAnN].*
>noexpr  "<U005E><U005B><U0061><U0041><U006E><U004E><U005D><U002E><U002A>"
>END LC_MESSAGES

these should be:
yesexpr "^[+1yYiI]"
noexpr  "^[-0nNaA]"

>LC_NAME
>END LC_NAME

please fill out all the fields here

>country_num  12

this should be 012

>country_car  "<U0041>"

pretty sure this should be DZ

>LC_TELEPHONE
>% 213
>int_prefix  "<U0032><U0031><U0033>"
>END LC_TELEPHONE

can you fill out the other fields here please ?
Comment 2 Claude Paroz 2016-06-11 09:58:16 UTC
Thanks Mike for the excellent review!

>>LC_NAME
>>END LC_NAME

>please fill out all the fields here

What do you mean by "all the fields"? Is this list: name_fmt, name_miss, name_mr, name_mrs, name_ms?
Comment 3 Mike Frysinger 2016-06-11 14:13:19 UTC
(In reply to Claude Paroz from comment #2)

those 5 fields, and name_gen.  not all languages have concepts/translations for all the fields, but it seems unlikely that this one has none.
Comment 4 Claude Paroz 2016-07-06 19:05:27 UTC
Created attachment 9380 [details]
Revised Kabyle locale file
Comment 5 Claude Paroz 2016-07-06 19:06:43 UTC
I just uploaded a revised file, status should be updated.
Comment 6 Chris Leonard 2016-08-21 18:39:11 UTC
(In reply to Claude Paroz from comment #5)
> I just uploaded a revised file, status should be updated.

Yes, this looks like it is ready for commit.  - cjl
Comment 7 Belkacem Mohammed 2017-06-07 13:07:19 UTC
The bug is still new? Please Would you like commit? 
If there is something wrong, let me know. I'am a Kabyle native and opensource kab localizer.
Comment 8 Carlos O'Donell 2017-06-08 18:41:53 UTC
(In reply to Belkacem Mohammed from comment #7)
> The bug is still new? Please Would you like commit? 
> If there is something wrong, let me know. I'am a Kabyle native and
> opensource kab localizer.

My apologies. Commits for new locales only happen when you're working directly with a community developer that can commit this code for you. Maintainers are listed here: https://sourceware.org/glibc/wiki/MAINTAINERS.

The review by Chris Leonard in comment #6 is proof enough that kab_DZ should be ready for commit. Chris is known in the community and has reviewed such patches in the past (though he is not a glibc developer).

Have you been using the new kab_DZ locale? Is it working well? Does it match what is being submitted here? Which distro is including the locale?
Comment 9 Belkacem Mohammed 2017-06-08 22:47:07 UTC
Hello,
Thanks for help.

I can't understand much more about technical devs . I followed a link when I was trying to start the kab locale  for openSUSE.

The kab localization of openSUSE is now ongoing but, it seems that we need kab on glibc to release our locale.

We are also working on the kab locale on CLDR (please see http://st.unicode.org/cldr-apps/v#/kab/). You will find all needed data. 

The kab locale is now available on all Mozilla products and content (Firefox, Thudenrbird..), Odoo and much more.  

Note the iso 639-2 code of the Kabyle language is kab. Kab-DZ is same as kab. There is no other variant for our language.

Please, let me know if you need more information

Thank you
Comment 10 Claude Paroz 2017-08-31 07:24:16 UTC
The locale file was approved by Chris, a known glibc language reviewer more than a year ago. I struggle to find reasons for why this file was not yet committed.
Comment 11 Belkacem Mohammed 2017-08-31 07:53:24 UTC
:) It took a lot of time.

If there is something wrong with the file, somethig we can add, please let us know.
thanks for help

M. Belkacem
Kabyle Software localizer
https://translatewiki.net/wiki/User:Belkacem77
Comment 12 Mike FABIAN 2017-10-20 08:41:30 UTC
(In reply to Belkacem Mohammed from comment #9)
> Hello,
> Thanks for help.
> 
> I can't understand much more about technical devs . I followed a link when I
> was trying to start the kab locale  for openSUSE.
> 
> The kab localization of openSUSE is now ongoing but, it seems that we need
> kab on glibc to release our locale.
> 
> We are also working on the kab locale on CLDR (please see
> http://st.unicode.org/cldr-apps/v#/kab/). You will find all needed data. 

The day and month names in your locale do not agree with what CLDR has.

You have:

mon  "yennayer";/
     "Furar";/
     "Meɣres";/
     "Ibrir";/
     "Maggu";/
     "Yunyu";/
     "Yulyu";/
     "Ɣuct";/
     "Cutembir";/
     "Tuber";/
     "Unbir";/
     "Dujenbir"
abmon  "yen.";/
       "fur.";/
       "meɣ.";/
       "ibr.";/
       "mag.";/
       "yun.";/
       "yul.";/
       "ɣuc.";/
       "cut.";/
       "tub.";/
       "unb.";/
       "duj.";/
day  "Accer";/
     "Arim";/
     "Aram";/
     "Ahad";/
     "Amhad";/
     "Ssem";/
     "Ssed"
abday  "ace.";/
       "ari.";/
       "ara.";/
       "aha.";/
       "amh.";/
       "sem.";/
       "sed."

Compare with:

http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml

Why are there differences? What is correct?
Comment 13 Mike FABIAN 2017-10-20 09:07:20 UTC
http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml

contains:

	<posix>
		<messages>
			<yesstr>Ih:I</yesstr>
			<nostr>Uhu:U</nostr>
		</messages>
	</posix>


but your locale contains:

LC_MESSAGES
yesexpr "^[+1yYiI]"
noexpr  "^[-0nNaA]"
END LC_MESSAGES

If CLDR is right, shouldn’t noexpr be:

noexpr  "^[-0nNuU]"

Or is CLDR mistaken? Then one should fix it in CLDR ...


We should probably also add

yesstr "Ih"
nostr  "Uhu"

or whatever the right words for "yes" and "no" are in Kabyle.
Comment 14 Mike FABIAN 2017-10-20 09:11:11 UTC
int_curr_symbol should be 4 characters long and end with a space, like this:

int_curr_symbol    "DZD "
Comment 15 Mike FABIAN 2017-10-20 09:12:35 UTC
The ar_DZ locale contains:

first_weekday 7
first_workday 1

Is that also correct for kab_DZ, should we add it?
Comment 16 Belkacem Mohammed 2017-10-20 09:16:17 UTC
Created attachment 10547 [details]
CLDR Kabyle - Beta release (32)

CLDR Kabyle - Beta release
Comment 17 Belkacem Mohammed 2017-10-20 09:21:09 UTC
We updated ( me and some academicians from Bejaia Univesity, and independant authors) some data in CLDR 32 that will be released next 1st November.

Note that the same data is currently used the kab locale of VK (social network), lighthning (Calendar on thanderbird), Evernote, Wikimedia, OpenStreetmap,.. and more other tools we localized into kabyle
 
Here are the common name used for months and days and their short forms:

These names are taught at School in Algeria (Kabylia). In fact, some authors use declination (other local forms). The forms below, are the most used.

mon  "yennayer";/
     "Fuṛar";/
     "Meɣres";/
     "Yebrir";/
     "Mayyu";/
     "Yunyu";/
     "Yulyu";/
     "Ɣuct";/
     "Ctembeṛ";/
     "Tubeṛ";/
     "Wambeṛ";/
     "Dujembeṛ"
abmon  "yen.";/
       "fur.";/
       "meɣ.";/
       "yeb.";/
       "may.";/
       "yun.";/
       "yul.";/
       "ɣuc.";/
       "cte.";/
       "tub.";/
       "wam.";/
       "duj.";/
day  "Acer";/
     "Arim";/
     "Aram";/
     "Ahad";/
     "Amhad";/
     "Sem";/
     "Sed"
abday  "ace.";/
       "ari.";/
       "ara.";/
       "aha.";/
       "amh.";/
       "sem.";/
       "sed."
Comment 18 Belkacem Mohammed 2017-10-20 09:25:34 UTC
(In reply to Mike FABIAN from comment #13)
> http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml
> 
> contains:
> 
> 	<posix>
> 		<messages>
> 			<yesstr>Ih:I</yesstr>
> 			<nostr>Uhu:U</nostr>
> 		</messages>
> 	</posix>
> 
> 
> but your locale contains:
> 
> LC_MESSAGES
> yesexpr "^[+1yYiI]"
> noexpr  "^[-0nNaA]"
> END LC_MESSAGES
> 
> If CLDR is right, shouldn’t noexpr be:
> 
> noexpr  "^[-0nNuU]"
> 
> Or is CLDR mistaken? Then one should fix it in CLDR ...
> 
> 
> We should probably also add
> 
> yesstr "Ih"
> nostr  "Uhu"
> 
> or whatever the right words for "yes" and "no" are in Kabyle.


yesstr "Ih"
nostr  "Uhu"

Short form
"Y" : "I"
"N" : "U"
Comment 19 Belkacem Mohammed 2017-10-20 09:27:49 UTC
(In reply to Mike FABIAN from comment #14)
> int_curr_symbol should be 4 characters long and end with a space, like this:
> 
> int_curr_symbol    "DZD "

yeah

int_curr_symbol    "DZD "
Comment 20 Belkacem Mohammed 2017-10-20 09:31:17 UTC
(In reply to Mike FABIAN from comment #15)
> The ar_DZ locale contains:
> 
> first_weekday 7
> first_workday 1
> 
> Is that also correct for kab_DZ, should we add it?


 first_weekday 7
 first_workday 1

Same as ar_DZ
Comment 21 Mike FABIAN 2017-10-20 09:36:24 UTC
You use %p in 

t_fmt_ampm    "%I:%M:%S %p"

but you do not define:

%
% Strings for AM/PM
%
am_pm	"AM";"PM"

What are the appropriate strings to use for AM/PM in Kabyle?
Comment 22 Mike FABIAN 2017-10-20 09:40:27 UTC
(In reply to Belkacem Mohammed from comment #18)
> (In reply to Mike FABIAN from comment #13)
> > http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml
> > 
> > contains:
> > 
> > 	<posix>
> > 		<messages>
> > 			<yesstr>Ih:I</yesstr>
> > 			<nostr>Uhu:U</nostr>
> > 		</messages>
> > 	</posix>
> > 
> > 
> > but your locale contains:
> > 
> > LC_MESSAGES
> > yesexpr "^[+1yYiI]"
> > noexpr  "^[-0nNaA]"
> > END LC_MESSAGES
> > 
> > If CLDR is right, shouldn’t noexpr be:
> > 
> > noexpr  "^[-0nNuU]"
> > 
> > Or is CLDR mistaken? Then one should fix it in CLDR ...
> > 
> > 
> > We should probably also add
> > 
> > yesstr "Ih"
> > nostr  "Uhu"
> > 
> > or whatever the right words for "yes" and "no" are in Kabyle.
> 
> 
> yesstr "Ih"
> nostr  "Uhu"
> 
> Short form
> "Y" : "I"
> "N" : "U"

Then we should use

noexpr  "^[-0nNuU]"

(u instead of a), right?
Comment 23 Belkacem Mohammed 2017-10-20 09:42:38 UTC
(In reply to Mike FABIAN from comment #22)
> (In reply to Belkacem Mohammed from comment #18)
> > (In reply to Mike FABIAN from comment #13)
> > > http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml
> > > 
> > > contains:
> > > 
> > > 	<posix>
> > > 		<messages>
> > > 			<yesstr>Ih:I</yesstr>
> > > 			<nostr>Uhu:U</nostr>
> > > 		</messages>
> > > 	</posix>
> > > 
> > > 
> > > but your locale contains:
> > > 
> > > LC_MESSAGES
> > > yesexpr "^[+1yYiI]"
> > > noexpr  "^[-0nNaA]"
> > > END LC_MESSAGES
> > > 
> > > If CLDR is right, shouldn’t noexpr be:
> > > 
> > > noexpr  "^[-0nNuU]"
> > > 
> > > Or is CLDR mistaken? Then one should fix it in CLDR ...
> > > 
> > > 
> > > We should probably also add
> > > 
> > > yesstr "Ih"
> > > nostr  "Uhu"
> > > 
> > > or whatever the right words for "yes" and "no" are in Kabyle.
> > 
> > 
> > yesstr "Ih"
> > nostr  "Uhu"
> > 
> > Short form
> > "Y" : "I"
> > "N" : "U"
> 
> Then we should use
> 
> noexpr  "^[-0nNuU]"
> 
> (u instead of a), right?

yeah,

u instead of a. 
______
We have to ways to say No : Uhu(U), Ala(A). Uhu(u) is the most used.
Comment 24 Belkacem Mohammed 2017-10-20 09:45:31 UTC
(In reply to Mike FABIAN from comment #21)
> You use %p in 
> 
> t_fmt_ampm    "%I:%M:%S %p"
> 
> but you do not define:
> 
> %
> % Strings for AM/PM
> %
> am_pm	"AM";"PM"
> 
> What are the appropriate strings to use for AM/PM in Kabyle?


type abbreviated:

am: ft 
pm: md
___________
Type narrow

am: f
pm: m
Comment 25 Mike FABIAN 2017-10-20 09:48:41 UTC
(In reply to Belkacem Mohammed from comment #17)
> We updated ( me and some academicians from Bejaia Univesity, and independant
> authors) some data in CLDR 32 that will be released next 1st November.
> 
> Note that the same data is currently used the kab locale of VK (social
> network), lighthning (Calendar on thanderbird), Evernote, Wikimedia,
> OpenStreetmap,.. and more other tools we localized into kabyle
>  
> Here are the common name used for months and days and their short forms:
> 
> These names are taught at School in Algeria (Kabylia). In fact, some authors
> use declination (other local forms). The forms below, are the most used.
> 
> mon  "yennayer";/

Why does this start with a lower case “y”? In CLDR trunk it is “Yennayer”
with an uppercase “Y”.

>      "Fuṛar";/
>      "Meɣres";/
>      "Yebrir";/
>      "Mayyu";/
>      "Yunyu";/
>      "Yulyu";/
>      "Ɣuct";/
>      "Ctembeṛ";/
>      "Tubeṛ";/
>      "Wambeṛ";/
>      "Dujembeṛ"

The above is the same as the "stand-alone" forms in CLDR but a little
different from the locale as attached to this bug. So it is probably
OK if I use the stuff from CLDR here.

> abmon  "yen.";/
>        "fur.";/
>        "meɣ.";/
>        "yeb.";/
>        "may.";/
>        "yun.";/
>        "yul.";/
>        "ɣuc.";/
>        "cte.";/
>        "tub.";/
>        "wam.";/
>        "duj.";/

The stand-alone forms in CLDR trunk are:

<monthContext type="stand-alone">
	<monthWidth type="abbreviated">
		<month type="1" draft="unconfirmed">Yen</month>
		<month type="2" draft="unconfirmed">Fur</month>
		<month type="3" draft="unconfirmed">Meɣ</month>
		<month type="4" draft="unconfirmed">Yeb</month>
		<month type="5" draft="unconfirmed">May</month>
		<month type="6" draft="unconfirmed">Yun</month>
		<month type="7" draft="unconfirmed">Yul</month>
		<month type="8" draft="unconfirmed">Ɣuc</month>
		<month type="9" draft="unconfirmed">Cte</month>
		<month type="10" draft="unconfirmed">Tub</month>
		<month type="11" draft="unconfirmed">Wam</month>
		<month type="12" draft="unconfirmed">Duj</month>
	</monthWidth>

i.e. starting with upper case letters and without the final dot.

OK to use it as in CLDR?

> day  "Acer";/
>      "Arim";/
>      "Aram";/
>      "Ahad";/
>      "Amhad";/
>      "Sem";/
>      "Sed"

Same as in CLDR trunk.

> abday  "ace.";/
>        "ari.";/
>        "ara.";/
>        "aha.";/
>        "amh.";/
>        "sem.";/
>        "sed."

CLDR trunk has:

<dayContext type="stand-alone">
	<dayWidth type="abbreviated">
		<day type="sun" draft="unconfirmed">Ace</day>
		<day type="mon" draft="unconfirmed">Ari</day>
		<day type="tue" draft="unconfirmed">Ara</day>
		<day type="wed" draft="unconfirmed">Aha</day>
		<day type="thu" draft="unconfirmed">Amh</day>
		<day type="fri" draft="unconfirmed">Sem</day>
		<day type="sat" draft="unconfirmed">Sed</day>
	</dayWidth>

I.e. starting with an upper case letter and without
the final dot.

OK to use it as in CLDR?
Comment 26 Mike FABIAN 2017-10-20 09:51:25 UTC
(In reply to Belkacem Mohammed from comment #23)
> > > > but your locale contains:
> > > > 
> > > > LC_MESSAGES
> > > > yesexpr "^[+1yYiI]"
> > > > noexpr  "^[-0nNaA]"
> > > > END LC_MESSAGES
> > > > 
> > > > If CLDR is right, shouldn’t noexpr be:
> > > > 
> > > > noexpr  "^[-0nNuU]"
> > > > 
> > > > Or is CLDR mistaken? Then one should fix it in CLDR ...
> > > > 
> > > > 
> > > > We should probably also add
> > > > 
> > > > yesstr "Ih"
> > > > nostr  "Uhu"
> > > > 
> > > > or whatever the right words for "yes" and "no" are in Kabyle.
> > > 
> > > 
> > > yesstr "Ih"
> > > nostr  "Uhu"
> > > 
> > > Short form
> > > "Y" : "I"
> > > "N" : "U"
> > 
> > Then we should use
> > 
> > noexpr  "^[-0nNuU]"
> > 
> > (u instead of a), right?
> 
> yeah,
> 
> u instead of a. 
> ______
> We have to ways to say No : Uhu(U), Ala(A). Uhu(u) is the most used.

We could also use 

noexpr  "^[-0nNuUaA]"

to make the letters uUaA all acceptable as "no" answers.
There is no conflict with:

yesexpr "^[+1yYiI]"
Comment 27 Mike FABIAN 2017-10-20 09:52:25 UTC
In LC_ADDRESS country_name was missing, I added this

country_name "Lezzayer"

(taken from CLDR).
Comment 28 Belkacem Mohammed 2017-10-20 10:00:14 UTC
(In reply to Mike FABIAN from comment #27)
> In LC_ADDRESS country_name was missing, I added this
> 
> country_name "Lezzayer"
> 
> (taken from CLDR).

No, the country name in Kabyle "Zzayer". I think, it's CLDR 31? We updated all the names in CLDR 32 but it's beta release now.

<zone type="Africa/Algiers">
<exemplarCity>Zzayer</exemplarCity>
</zone>
Comment 29 Belkacem Mohammed 2017-10-20 10:04:59 UTC
(In reply to Mike FABIAN from comment #27)
> In LC_ADDRESS country_name was missing, I added this
> 
> country_name "Lezzayer"
> 
> (taken from CLDR).

And the country name:

<territory type="DZ">Zzayer</territory>
Comment 30 Mike FABIAN 2017-10-20 10:13:31 UTC
(In reply to Belkacem Mohammed from comment #29)
> (In reply to Mike FABIAN from comment #27)
> > In LC_ADDRESS country_name was missing, I added this
> > 
> > country_name "Lezzayer"
> > 
> > (taken from CLDR).
> 
> And the country name:
> 
> <territory type="DZ">Zzayer</territory>

http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml#L560

has 

<territory type="DZ">Lezzayer</territory>

That URL points to CLDR trunk, so this is *not* CLDR 31, it is the
most recent stuff in the svn repository.
Comment 31 Belkacem Mohammed 2017-10-20 10:23:02 UTC
(In reply to Mike FABIAN from comment #27)
> In LC_ADDRESS country_name was missing, I added this
> 
> country_name "Lezzayer"
> 
> (taken from CLDR).

No, the country name in Kabyle "Zzayer". I think, it's CLDR 31? We updated all the names in CLDR 32 but it's beta release now.



Algeria (country) : 

<territory type="DZ">Zzayer</territory>

____________

Algiers (the city) :
<zone type="Africa/Algiers">
<exemplarCity>Zzayer</exemplarCity>
</zone>
_____________

Currency (Algerian Dinar):

<currency type="DZD">
<displayName>Adinar n Zzayer</displayName>
<displayName count="one">Adinar n Zzayer</displayName>
<displayName count="other">Idinaren n Zzayer</displayName>
<symbol>DZD</symbol>
</currency>(In reply to Mike FABIAN from comment #30)
> (In reply to Belkacem Mohammed from comment #29)
> > (In reply to Mike FABIAN from comment #27)
> > > In LC_ADDRESS country_name was missing, I added this
> > > 
> > > country_name "Lezzayer"
> > > 
> > > (taken from CLDR).
> > 
> > And the country name:
> > 
> > <territory type="DZ">Zzayer</territory>
> 
> http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml#L560
> 
> has 
> 
> <territory type="DZ">Lezzayer</territory>
> 
> That URL points to CLDR trunk, so this is *not* CLDR 31, it is the
> most recent stuff in the svn repository.

We will correct it on CLDR.
The right word for the country name is : Zzayer
Comment 32 Mike FABIAN 2017-10-20 11:19:00 UTC
(In reply to Belkacem Mohammed from comment #31)
> (In reply to Mike FABIAN from comment #27)
> > In LC_ADDRESS country_name was missing, I added this
> > 
> > country_name "Lezzayer"
> > 
> > (taken from CLDR).
> 
> No, the country name in Kabyle "Zzayer". I think, it's CLDR 31?

No.

> We updated
> all the names in CLDR 32 but it's beta release now.

https://www.unicode.org/repos/cldr/tags/release-32-beta/common/main/kab.xml

has:

<territory type="DZ">Lezzayer</territory>

> > > > (taken from CLDR).
> > > 
> > > And the country name:
> > > 
> > > <territory type="DZ">Zzayer</territory>
> > 
> > http://unicode.org/cldr/trac/browser/trunk/common/main/kab.xml#L560
> > 
> > has 
> > 
> > <territory type="DZ">Lezzayer</territory>
> > 
> > That URL points to CLDR trunk, so this is *not* CLDR 31, it is the
> > most recent stuff in the svn repository.
> 
> We will correct it on CLDR.
> The right word for the country name is : Zzayer

Yes, please correct it there because it seems still wrong
in the latest CLDR.
Comment 33 Mike FABIAN 2017-10-20 11:32:32 UTC
Created attachment 10548 [details]
kab_DZ

The kab_DZ file I have edited.

Is it OK?

If yes, I’ll commit it.

If not, tell me what is still wrong.
Comment 34 Belkacem Mohammed 2017-10-20 14:58:36 UTC
(In reply to Mike FABIAN from comment #33)
> Created attachment 10548 [details]
> kab_DZ
> 
> The kab_DZ file I have edited.
> 
> Is it OK?
> 
> If yes, I’ll commit it.
> 
> If not, tell me what is still wrong.

Right ok.

I just reviewed it. Everything is rihgt
Comment 35 cvs-commit@gcc.gnu.org 2017-10-20 16:27:12 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  b6b08b8e21e8393089765b64a96953d215b3454c (commit)
      from  9ba7e81028b3313d9aeb97a98d2e37626694d442 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=b6b08b8e21e8393089765b64a96953d215b3454c

commit b6b08b8e21e8393089765b64a96953d215b3454c
Author: Mike FABIAN <mfabian@redhat.com>
Date:   Fri Oct 20 17:50:40 2017 +0200

    Add new locale kab_DZ  [BZ #18812]
    
    	[BZ #18812]
    	* localedata/SUPPORTED: Add kab_DZ/UTF-8.
    	* localedata/locales/kab_DZ: New file.

-----------------------------------------------------------------------

Summary of changes:
 ChangeLog                 |    6 ++
 localedata/SUPPORTED      |    1 +
 localedata/locales/kab_DZ |  168 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 175 insertions(+), 0 deletions(-)
 create mode 100644 localedata/locales/kab_DZ
Comment 36 Mike FABIAN 2017-10-20 16:27:52 UTC
Fixed in glibc master.
Comment 37 Claude Paroz 2017-10-20 16:42:27 UTC
Thanks Mike \o/
Comment 38 Belkacem Mohammed 2017-10-24 08:44:15 UTC
Thanks for everyone
Comment 39 Belkacem Mohammed 2017-10-25 05:22:16 UTC
Please would you like add my email address in the file for those who wants contact me?
Comment 40 Mike FABIAN 2017-10-25 12:16:51 UTC
(In reply to Belkacem Mohammed from comment #39)
> Please would you like add my email address in the file for those who wants
> contact me?

I did that now in git master.
Comment 41 Chris Leonard 2017-11-02 03:05:44 UTC
Created attachment 10567 [details]
attachment-57087-0.html

How is the work on the CLDR locale going?

I'm trying to encourage some work on CLDR locale develop by some of the
communities working on the SugarLabs Pootle instance and I'd like to know
how easy it is to work with CLDR.

cjl




On Tue, Oct 24, 2017 at 4:44 AM, belkacem77 at gmail dot com <
sourceware-bugzilla@sourceware.org> wrote:

> https://sourceware.org/bugzilla/show_bug.cgi?id=18812
>
> --- Comment #38 from Belkacem Mohammed <belkacem77 at gmail dot com> ---
> Thanks for everyone
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.
>
Comment 42 Belkacem Mohammed 2017-11-02 06:19:19 UTC
Hi Chris,

For the kab locale, we built a team of localizers, translators. The kab locale is just being built. CLDR Kab is now growing. There are some parts we will complete with the next release (33).

version 32 is released yesterday (01/11). A lot of keys are still unconfirmed due to voting mode (process) on CLDR.

I'm trying to set up a team along with the 3 kab univesities to maintain the locale.

We will focus on the next release on the keyboard templates, kabyle calendar, collations.